# Jpneduenumerate Package

Mathematical equation representation in Japanese education differs somewhat from the standard LaTeX writing style. This package introduces enumerative expressions in Japanese education.


## System Requirements

+ TeX format: LaTeX
+ TeX engine: pTeX, upTeX
+ Prerequisite package: enumitem, japanese-otf and refcount

Since the unit zw is used, it can be used only in the pTeX series.


## Installation

Move jpneduenumerate.sty file to $TEXMF/tex/latex/jpneduenumerate.


## Usage

### astarisked environments

The environment we will describe can be replaced with asterisked ones to eliminate the parindent.


### environment enumerate and itemize

The margins in the enumerate and itemize environments are automatically changed when the package is loaded. The symbols in the enumerate and itemize environments are automatically changed when the package is loaded. \labelenumi is (1), \labelenumii is (a), and \item is text bullet.


### environment romanenumerate and caseenumerate

This environment replaces the symbol (i) in the enumerate environment. caseenumerate is another name for romanenumerate.


### environment Romanenumerate and stepenumerate

This environment replaces the symbol (I) in the enumerate environment. stepenumerate is another name for Romanenumerate.


### \parenref{<label>}

Referred to as (1) depending on the label.


### \romanref{<label>}

Referred to as i depending on the label.


### \parenromanref{<label>}

Referred to as (i) depending on the label.


### \Romanref{<label>}

Referred to as I depending on the label.


### \parenRomanref{<label>}

Referred to as (I) depending on the labe


### \??auto \??keep \??reset \??ref{<label>}

\??auto outputs headings that automatically advance in numbering. \??keep outputs the heading with the previous number. \??reset resets the heading number back to 1. \??ref referred to as (1) depending on the label. \??ref{<label>} is referenced by label. The ?? parts can be the following:

+ square (framed by square)
+ question (another name for square)
+ enumerate (1)
+ subquestion (1)
+ case (i)
+ step (I)


Non-asterisked commands are heading. Asterisked commands are not heading.

\case is another name for \caseauto.

\step is another name for \stepauto.


### \equationreset

Reset the equation number back to 1.


### \question

\questionauto and reset the equation, subquestion, enumerate, case and step numbers back to 1. \question* is another name for \questionauto*.


### \subquestion

\subquestion and reset the case and step numbers back to 1. \subquestion* is another name for \subquestionauto*.


## License

This package released under [the MIT license](https://ctan.org/license/mit).


## Revision History

+ Version 1.0 2022-06-29
    + The first public version.


---

[Yukoh KUSAKABE](https://twitter.com/metaphysicainfo) (screen-name) at [metaphysica.info](https://www.metaphysica.info/)