# Jpneduenumerate パッケージ

日本の教育における数式表現には，LaTeX の標準である書きかたとはやや異なる部分があります。このパッケージでは，日本の教育における列挙表現を導入します。


## 前提条件

+ TeX format: LaTeX
+ TeX engine: pTeX, upTeX
+ Prerequisite package: enumitem, japanese-otf and refcount

単位 zw を用いていますので，pTeX 系列でのみ使用できます。


## インストール

jpneduenumerate.sty を $TEXMF/tex/latex/jpneduenumerate （TeXが見つけられる場所）に置いてください。


## 使用方法

### アスタリスクのついた環境

これから説明する環境は，アスタリスクをつけることで parindent がなくなります。


### enumerate 環境と itemize 環境

パッケージを読み込むと自動的に enumerate 環境と itemize 環境の余白が変更されます。パッケージを読み込むと自動的に enumerate 環境と itemize 環境の記号が変更されます。\labelenumi は (1)，\labelenumii は (a)，\item は ・ です。


### romanenumerate 環境と caseenumerate 環境

この環境は enumerate 環境の記号を (i) に置き換えたものです。caseenumerate は romanenumerate の別名です。


### Romanenumerate 環境と stepenumerate 環境

この環境は enumerate 環境の記号を (I) に置き換えたものです。stepenumerate は Romanenumerate の別名です。


### \parenref{<label>}

ラベルによって (1) のように参照します。


### \romanref{<label>}

ラベルによって i のように参照します。


### \parenromanref{<label>}


ラベルによって (i) のように参照します。


### \Romanref{<label>}

ラベルによって I のように参照します。


### \parenRomanref{<label>}

ラベルによって (I) のように参照します。


### \??auto \??keep \??reset \??ref{<label>}

\??auto は自動で番号が進む見出しを出力します。\??keep は直前の番号のままで見出しを出力します。\??reset は見出しの番号を1に戻します。\??ref{<label>} はラベルによって参照します。?? の部分には以下のものが使えます。

+ square (framed by square)
+ question (another name for square)
+ enumerate (1)
+ subquestion (1)
+ case (i)
+ step (I)

アスタリスクのない命令は見出しになります。アスタリスクの付いた命令は見出しになりません。

\case は \caseauto の別名です。

\step は \stepauto の別名です。


### \equationreset

数式番号を1に戻します。


### \question

\questionauto を出力し，equation subquestion enumerate case step をすべて1に戻します。\question* は \questionauto* の別名です。


### \subquestion

\questionauto を出力し，case step をともに1に戻します。


## ライセンス

このパッケージは[MITライセンス](https://ctan.org/license/mit)のもとで配布しています。


## 更新履歴

+ Version 1.0 2022-06-29
    + The first public version.


---

[Yukoh KUSAKABE](https://twitter.com/metaphysicainfo) (screen-name) at [metaphysica.info](https://www.metaphysica.info/)